using System;

namespace petlja_2020_2_2
{
    public struct tax
    {
        // Declaring different data types 
        public int A;
        public double P;

    }
    class Program
    {
        static void Main(string[] args)
        {
            int N;
            {
                string s = Console.ReadLine();
                N = Convert.ToInt32(s);
            }

            tax[] data = new tax[N];
            for (int i = 0; i < N; i++)
            {
                string s = Console.ReadLine();
                string[] ss = s.Split(' ');
                data[i].A = Convert.ToInt32(ss[0]);
                data[i].P = Convert.ToDouble(ss[1]);
            }
            Array.Sort<tax>(data, (x, y) => x.P.CompareTo(y.P));

            /*
            for(int i = 0; i < N; i++)
            {
                Console.WriteLine(data[i].A + " " + data[i].P);
            }
            */
            int sum = 0;
            double max = 0;


            for (int i = N - 1; i >= 0; i--)
            {
                sum += data[i].A;
                double curr = sum * data[i].P / 100;
                if(curr > max)
                {
                    max = curr;
                }

            }
            Console.WriteLine(max);

            
        }
    }
}